OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESGeom

# IGESGeom_HArray1OfTransformationMatrix Class Reference

`#include <IGESGeom_HArray1OfTransformationMatrix.hxx>`

## Public Member Functions
Standard_EXPORT | IGESGeom_HArray1OfTransformationMatrix (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | IGESGeom_HArray1OfTransformationMatrix (const Standard_Integer Low, const Standard_Integer Up, const Handle(IGESGeom_TransformationMatrix)&V)
Standard_EXPORT void | Init (const Handle(IGESGeom_TransformationMatrix)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(IGESGeom_TransformationMatrix)&Value)
const Handle_IGESGeom_TransformationMatrix & | Value (const Standard_Integer Index) const
Handle_IGESGeom_TransformationMatrix & | ChangeValue (const Standard_Integer Index)
const IGESGeom_Array1OfTransformationMatrix & | Array1 () const
IGESGeom_Array1OfTransformationMatrix & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
IGESGeom_Array1OfTransformationMatrix | myArray

## Constructor & Destructor Documentation

Standard_EXPORT IGESGeom_HArray1OfTransformationMatrix::IGESGeom_HArray1OfTransformationMatrix | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT IGESGeom_HArray1OfTransformationMatrix::IGESGeom_HArray1OfTransformationMatrix | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(IGESGeom_TransformationMatrix)& | V
| ) |

## Member Function Documentation

const IGESGeom_Array1OfTransformationMatrix& IGESGeom_HArray1OfTransformationMatrix::Array1 | ( |  | ) | const

IGESGeom_Array1OfTransformationMatrix& IGESGeom_HArray1OfTransformationMatrix::ChangeArray1 | ( |  | ) |

Handle_IGESGeom_TransformationMatrix& IGESGeom_HArray1OfTransformationMatrix::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const IGESGeom_HArray1OfTransformationMatrix::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void IGESGeom_HArray1OfTransformationMatrix::Init | ( | const Handle(IGESGeom_TransformationMatrix)& | V | ) |

Standard_Integer IGESGeom_HArray1OfTransformationMatrix::Length | ( |  | ) | const

Standard_Integer IGESGeom_HArray1OfTransformationMatrix::Lower | ( |  | ) | const

void IGESGeom_HArray1OfTransformationMatrix::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(IGESGeom_TransformationMatrix)& | Value
| ) |

Standard_Integer IGESGeom_HArray1OfTransformationMatrix::Upper | ( |  | ) | const

const Handle_IGESGeom_TransformationMatrix& IGESGeom_HArray1OfTransformationMatrix::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

IGESGeom_Array1OfTransformationMatrix IGESGeom_HArray1OfTransformationMatrix::myArray`[private]`

The documentation for this class was generated from the following file:

- IGESGeom_HArray1OfTransformationMatrix.hxx